ProofReader 1.0 RC6

proofreader

ProofReader — эффективное средство борьбы с опечатками.

Компонент ProofReader (Корректор), позволяет посетителям сайта сообщать об обнаруженных на сайте опечатках. Компонент использует технологию AJAX для отправки уведомлений об ошибках и является неким аналогом известному в России сервису Orphus.

Для того, чтобы посетителю отправить сообщение администратору, ему необходимо просто выделить фрагмент текста с ошибкой с помощью мыши и нажать сочетание клавиш Ctrl+Enter (Shift+Enter или Alt+Enter, в зависимости от настроек). После нажатия этой комбинации, пользователю отображается всплывающее окно, в котором он может ввести вариант исправления и некий комментарий. При этом, страница не перегружается, и пользователь остается на той же странице, на которой он находился.

proofreader-scrin

Данное сообщение об ошибке отправляется на e-mail (один или несколько), указанный в настройках компонента. Кроме того, в административной панели компонента существует возможность просмотреть список всех зарегистрированных опечаток.

 

Основные функции:

  • Использование технологии AJAX для отправки уведомлений об обнаруженных ошибках без перегрузки текущей страницы
  • Отправка e-mail-уведомления с сообщением об ошибке на указанные адреса
  • Поддержка защиты от спамботов с помощью CAPTCHA (картинка с циферками)
  • Пользователь может не только сообщить об обнаружении ошибки, но и предложить свой вариант исправления и оставить свои комментарии
  • Настройка ограничения по количеству отправляемых ошибок по времени от пользователя (защита от флуда).
  • Проверка на повторяющиеся сообщения (при повторной отправке сообщения об ошибке, пользователю выдается сообщение, что об этой ошибке он уже сообщал)
  • Для облегчения работы редакторов разработан специальный мамбот, выделяющий красным цветом слова или фрагменты строк, помеченные пользователям как ошибки. Таким образом, администратор, получив уведомление на e-mail, может перейти по указанной в нем ссылке на страницу, и сразу увидеть слово с ошибкой (пока работает по упрощенному алгоритму, поэтому не везде выделяет текст ошибки).

Язык: русский

В архиве: ext_com ext_mod

Совместим с: compat_15


Скачать ProoffReader 1.0 RC6 1.4 Mb


 

 

Комментарии  

 
0 # 02.06.2011 05:31
Компонент НЕ совместим с Joomla 1.5, а модуль выдает ошибку при загрузке: Не найден XML-файл установки Joomla!
Ответить | Ответить с цитатой | Цитировать
 
 
0 # Administrator 02.06.2011 06:56
Вы распакуйте скаченный архив. там еще 2а будет. Модуль и компонент. Вот их и нужно ставить.
Ответить | Ответить с цитатой | Цитировать
 
 
0 # 06.06.2011 21:11
Все равно не встает как надо )))
Ответить | Ответить с цитатой | Цитировать
 
 
0 # Administrator 06.06.2011 21:23
Даже не знаю чем Вам помочь
Что конкретно не так?
Ответить | Ответить с цитатой | Цитировать
 

Добавить комментарий

Перед публикацией ваш комментарий должен пройти проверку Администратором.


Защитный код
Обновить